Bug 453534

Summary: kcalc process always takes nearly 100% of a CPU thread when it's running
Product: [Applications] kcalc Reporter: kevinfocke1
Component: generalAssignee: Evan Teran <evan.teran>
Status: REPORTED ---    
Severity: major CC: cshrimpt+kde, david.p.warner, diego.ml, dmbtech, kde-bugtracker, kde.p-foerster, kyrylo.shakirov, popov895, roger.koot, rronnander, sam, sapphire, stefano.d, zvova7890
Priority: NOR    
Version: 22.04.3   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In:
Sentry Crash Report:
Attachments: attachment-22895-0.html

Description kevinfocke1 2022-05-08 11:38:02 UTC
SUMMARY
kcalc process always takes nearly 100% of a CPU thread when it's running, so that the laptop turns hot and loud. The problem is only observed with kcalc, demanding software runs relatively quietly.


STEPS TO REPRODUCE
1. Start kcalc
2. leave the process running for a short while
3. close the window normally or kill the process

OBSERVED RESULT
laptop fans turn loud, top shows 95%+ CPU usage right after start
kcalc works and quits as expected otherwise
the CPU usage returns to normal after kcalc is closed

EXPECTED RESULT
kcalc should not take this amount of resources

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 5.17.5-arch1-1
(available in About System)
KDE Plasma Version: 5.24.5
KDE Frameworks Version: 5.93.0
Qt Version: 5.15.3

ADDITIONAL INFORMATION
CPU/GPU: Ryzen 7 5700U as part of the Lenovo ThinkBook 14 G3 ACL
Bios Version: GQCN20WW(V1.06)
The problem has only been observed with kcalc
Comment 1 David Warner 2022-05-14 02:20:00 UTC
I'm seeing this with 22.04.1 (environment: Fedora 36, KDE Plasma 5.24.5, KDE Frameworks 5.93.0, Qt 5.15.3, Kernel 5.17.6, X11).
Comment 2 dmbtech 2022-05-21 13:02:01 UTC
I can confirm I am seeing this also with 22.04.1, but with Arch Linux, KDE Frameworks Version 5.94.0 , QT Version 5.15.4 (built against 5.15.3), 5.17.6-arch1-1.
Comment 3 dmbtech 2022-05-21 13:09:51 UTC
Couldn't figure out how to edit original comment. But also wanted mention, the cpu usage does not appear to occur with regular user, and strace I notice a loop of repeats when idle(not sure if this is useful):
...
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffcc6377b48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\v\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = 0
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffcc6377b48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\v\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\v\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = 0
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffcc6377b48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = 0
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\v\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffcc6377b48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = 0
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\v\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = 0
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffcc6377b48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = 0
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\v\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffcc6377b48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\v\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffcc6377b48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\f\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffcc6377b48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\v\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffcc6377b48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\n\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\3\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 20) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\1\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffcc6377b48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\t\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = 0
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffcc6377b48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\v\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = 0
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffcc6377b48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = 0
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\v\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffcc6377b48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\v\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = 0
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffcc6377b48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = 0
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\v\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = 0
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffcc6377b48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = 0
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\v\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = 0
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffcc6377b48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = 0
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\n\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\3\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 20) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\1\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffcc6377b48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\t\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = 0
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffcc6377b48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = 0
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\v\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = 0
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffcc6377b48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\v\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0\6\0`\10(\0\0\0)\0\0\0 \0\0\0\22\0\0\0R\3\0\0\0\0\0\0"..., iov_len=116}], 1) = 116
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffcc6377b48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\17\0`\10\0\0\0\0\0\0\0\0\211\1\302\1\202\3\n\0\6\0`\10\17\0`\10"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}], 2, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\v\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\24\0\6\0\6\0`\10\263\1\0\0\6\0\0\0\0\0\0\0\4\0\0\0", iov_len=24}], 1) = 24
futex(0x7ffcc6377e48, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 0, NULL, FUTEX_BITSET_MATCH_ANY) = 0
futex(0x5571f29d45d8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
^C--- SIGINT {si_signo=SIGINT, si_code=SI_KERNEL} ---
strace: Process 118801 detached
Comment 4 stefano.d 2022-06-19 19:13:59 UTC
I can confirm this. My system:

Operating System: openSUSE Tumbleweed 20220617
KDE Plasma Version: 5.25.0
KDE Frameworks Version: 5.95.0
Qt Version: 5.15.2
Kernel Version: 5.18.4-1-default (64-bit)
Graphics Platform: X11
Processors: 16 × AMD Ryzen 7 1700 Eight-Core Processor
Memory: 15.5 GiB of RAM
Graphics Processor: NVIDIA GeForce GTX 1060 6GB/PCIe/SSE2
Comment 5 roger.koot 2022-06-25 16:40:58 UTC
If you resize the kcalc window, the cpu usage drops to expected values.
Comment 6 dmbtech 2022-06-25 16:43:42 UTC
(In reply to roger.koot from comment #5)
> If you resize the kcalc window, the cpu usage drops to expected values.

Wow, totally right. Resizing drops cpu to normal levels. Any idea why?
Comment 7 roger.koot 2022-06-25 17:15:21 UTC
(In reply to dmbtech from comment #6)
> (In reply to roger.koot from comment #5)
> > If you resize the kcalc window, the cpu usage drops to expected values.
> 
> Wow, totally right. Resizing drops cpu to normal levels. Any idea why?

Regrettably not. It was just a hunch. Could well be something X11 related but I haven't tested this under Wayland though. I don't even know whether the kcalc-100% bug is triggered on Wayland.
Comment 8 Ryan Ronnander 2022-07-19 16:34:35 UTC
(In reply to roger.koot from comment #5)
> If you resize the kcalc window, the cpu usage drops to expected values.

Wow, this actually works, but upon closing and reopening kcalc, the behavior resumes until resized.

I cannot reproduce this on other KDE systems. The menu rapidly flickers when this bug occurs, as if some redraw event is constantly being executed until the window is resized. I believe I've tried this on both X11 and Wayland, both hit 100% CPU usage.
Comment 9 cslcm 2022-09-13 10:11:53 UTC
Just to note that I see this also on Gentoo with kcalc-22.04.3

I have 2 x 4k monitors with 150% global scale - given the previous comments, maybe this is relevant
Comment 10 P. Förster 2022-10-19 17:49:01 UTC
Just wanted to add that I can still confirm this with KCalc version 22.08.2.

The menu is flickering for me, too. Also, resizing fixes the problem for me.

-- System information --
Operating System: EndeavourOS
KDE Plasma Version: 5.26.1
KDE Frameworks Version: 5.99.0
Qt Version: 5.15.6
Kernel Version: 6.0.2-arch1-1 (64-bit)
Graphics Platform: X11
Processors: 12 × Intel® Core™ i7-10710U CPU @ 1.10GHz
Memory: 15,3 GiB of RAM
Graphics Processor: Mesa Intel® UHD Graphics
Manufacturer: Intel(R) Client Systems
Product Name: NUC10i7FNK
Comment 11 dmbtech 2022-10-19 18:02:42 UTC
Created attachment 153041 [details]
attachment-22895-0.html

Just a thought... Could this have to do with hidpi scaling?

On Wed, Oct 19, 2022, 1:49 PM P. Förster <bugzilla_noreply@kde.org> wrote:

> https://bugs.kde.org/show_bug.cgi?id=453534
>
> P. Förster <kde.p-foerster@gmx.de> changed:
>
>            What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>                  CC|                            |kde.p-foerster@gmx.de
>
> --- Comment #10 from P. Förster <kde.p-foerster@gmx.de> ---
> Just wanted to add that I can still confirm this with KCalc version
> 22.08.2.
>
> The menu is flickering for me, too. Also, resizing fixes the problem for
> me.
>
> -- System information --
> Operating System: EndeavourOS
> KDE Plasma Version: 5.26.1
> KDE Frameworks Version: 5.99.0
> Qt Version: 5.15.6
> Kernel Version: 6.0.2-arch1-1 (64-bit)
> Graphics Platform: X11
> Processors: 12 × Intel® Core™ i7-10710U CPU @ 1.10GHz
> Memory: 15,3 GiB of RAM
> Graphics Processor: Mesa Intel® UHD Graphics
> Manufacturer: Intel(R) Client Systems
> Product Name: NUC10i7FNK
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
Comment 12 Diego 2023-02-24 14:16:06 UTC
To me the issue is most evident when you open the bit edit view: "Settings → Show bit edit".

May be related to:
https://bugs.kde.org/show_bug.cgi?id=453775
Comment 13 David Warner 2023-04-22 12:49:11 UTC
I'm not seeing this on a fresh Fedora 38 install with KCalc 23.04.0 (Plasma 5.27.4, KDE Frameworks 5.105.0, Qt 5.15.9, X11), though I'm sure it was still happening on my previous Fedora 37 install with the same versions. I'm confused, but happy if it's fixed.
Comment 14 Kirill 2023-11-30 19:26:28 UTC
I have it reproducible for a long time.

Also, when, just after KCalc starts, I hover mouse pointer on drop-down menu on top, it became stroboscopic - quickly light up and light down like disco.

And yes, I use 150% scaling in display settings if this is somehow related.

kcalc 23.08.3-1

Operating System: Manjaro Linux 
KDE Plasma Version: 5.27.9
KDE Frameworks Version: 5.112.0
Qt Version: 5.15.11
Kernel Version: 6.6.2-1-MANJARO (64-bit)
Graphics Platform: X11
Processors: 16 × AMD Ryzen 7 5800H with Radeon Graphics
Memory: 62.1 GB of RAM
Graphics Processor: AMD Radeon Graphics
Manufacturer: HP
Product Name: Victus by HP Laptop 16-e0xxx
Comment 15 popov895 2024-06-19 13:18:42 UTC
*** Bug 458308 has been marked as a duplicate of this bug. ***
Comment 16 popov895 2024-06-19 13:21:11 UTC
*** Bug 456301 has been marked as a duplicate of this bug. ***
Comment 17 popov895 2024-06-19 13:22:03 UTC
*** Bug 465443 has been marked as a duplicate of this bug. ***
Comment 18 popov895 2024-06-19 13:25:22 UTC
Cannot reproduce with KCalc 24.05.1.
Comment 19 zvova7890 2024-06-20 14:43:43 UTC
Same, can't reproduce anymore on KDE6 and Kcalc 24.05.1